<template>
  <cover-split-section :cover-image="coverImage">
    <template #heading>
      <h1>{{ heading }}</h1>
    </template>

    <template #default>
      <div class="subtitle">{{ content.subtitle }}</div>
      <div class="flex flex-col mt-6">
        <template v-for="(item, index) in content.visualLinkItems">
          <visual-link :key="index" :to="site.routes[item.routeId]">
            {{ item.label }}
          </visual-link>
        </template>
      </div>
      <div class="markdown summary" v-html="content.text" />
    </template>
  </cover-split-section>
</template>

<script>
import VisualLink from '~/components/common/VisualLink';

export default {
  name: 'ServiciosCoverSection',
  components: {
    VisualLink,
  },
  inject: ['site'],
  props: {
    coverImage: {
      type: Object,
      default: () => ({ image: undefined, description: undefined }),
    },
    heading: { type: String, default: undefined },
    content: { type: Object, default: () => ({}) },
  },
};
</script>
